package com.ssj.bean.conch.conch.domain;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author: chchen
 * @Description
 * @Date Create in 15:50 2019/10/12
 * @Modified By
 */
public class HomeworkRecord implements Serializable {
    private static final long serialVersionUID = 1L;

    private String id;

    private String homeworkId;

    private String subject;

    private Date date;

    private int type;

    @JSONField(serialize = false)
    private Integer notCorrectedCount;

    private String homeworkPictureUrl;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public Integer getNotCorrectedCount() {
        return notCorrectedCount;
    }

    public void setNotCorrectedCount(Integer notCorrectedCount) {
        this.notCorrectedCount = notCorrectedCount;
    }

    public String getHomeworkPictureUrl() {
        return homeworkPictureUrl;
    }

    public void setHomeworkPictureUrl(String homeworkPictureUrl) {
        this.homeworkPictureUrl = homeworkPictureUrl;
    }
}
